Subject: [Toshi Isogai <[email-masked]>] FvwmCommand

From: Jason L Tibbitts III <[email-masked]>
Date: 12 Nov 1998 16:41:39 -0600

This was sent to fvwm-workers-owner by mistake.  Be careful with those mail
clients, folks; you might hurt yourself.

 - J<

Subject: FvwmCommand
From: Toshi Isogai <[email-masked]>
To: [email-masked]
Date: Thu, 12 Nov 1998 15:02:40 -0700 (MST)

Bob Woodside writes:
 > 
 > 	I think there was some discussion about the FvwmCommand version
 > 1.4 - 1.5 issue a while back, but I missed the outcome. 
 > 
 > 	Is there a particular reason that the version we have in the
 > CVS tree is 1.4? Has anyone looked into including Toshi Isogai's 1.5
 > version? I'm not sure what his changes were (bug fixes, if I recall),
 > but I had been using that version for some time with 2.0.46.

Here is the change:
05/11/98 Ver. 1.5

  Fixed bugs in reading and writing FIFOs.

  Will not exit after bad messages.

  Server keeps track of connection to client to avoid sending
  unnecessary messages.

  Handle multiple (long) commands correctly.

  Added lock mechanism to avoid connecting multiple FvwmCommand
  to a FIFO. 

  Added focus-link.pl script and its manpage.

Simply put, 1.5 is definitely better than 1.4.

 > 
 > 	Is Toshi the official maintainer of FvwmCommand, or is the
 > distribution from his Web site considered unsanctioned?
 > 

I just have FvwmCommand in my site because it has been more convenient 
for me.

If you can put 1.5 (1.5.1 to be exact) into CVS tree, it is better all 
around. I will be a bit busy for next 4 weeks or so, and I wouldn't be
able to do it.

 > 
 > - Bob
 > 
 > --
 > Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
 > To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
 > body of a message to [email-masked].
 > To report problems, send mail to [email-masked].
 > 

-- 
-- 
--------------------------------------------------------------------
Toshi Isogai                       [email-masked]
2270 South 88th Street             Louisville, Colorado 80028 USA
Phone: 800-STORTEK (786-7835)      Direct: 303-661-7632